#C:> activate keras
#(keras) C:> set TF_CPP_MIN_LOG_LEVEL=2
#(keras) C:> python
# >>>

import numpy as np
import cv2
image = cv2.imread('lena.jpg',cv2.IMREAD_GRAYSCALE)
cv2.imshow('lena',image)
cv2.waitKey(0)

image.shape
rows,cols = image.shape

input_image = np.float32(image)

kernel = np.array([[-1,0,1],[-2,0,2],[-1,0,1]])
kernel

output_image = cv2.filter2D(input_image,-1,kernel)

output_image = abs(output_image)
output_image = cv2.normalize(output_image,None,0,255,cv2.NORM_MINMAX)
output_image = np.uint8(output_image)

cv2.imshow('lena',output_image)
cv2.waitKey(0)
cv2.destroyWindow('lena')

cv2.imwrite('lena-sobel.jpg',output_image)

#quit()
