# include c:\Program Files (x86)\Graphviz2.38\bin\ into PATH

from keras.models import Model
from keras.models import Input
from keras.layers import Conv2D
from keras.layers import AveragePooling1D
from keras.layers import Subtract
from keras.layers import Activation

from keras.utils import plot_model

inp = Input(shape=(4,3,1))
out = Conv2D(1, (3, 3), activation=None, use_bias=False, padding='same')(inp)
model = Model(inputs=inp, outputs=out)
model.summary()
plot_model(model, show_shapes=True, to_file='Conv2D.png');
