#C:> activate keras
#(keras) C:> set TF_CPP_MIN_LOG_LEVEL=2
#(keras) C:> python
# >>>

import numpy as np
import cv2
from keras.layers import Input
from keras.layers.convolutional import Conv2D
from keras.models import Model
from keras.models import load_model

model = load_model('sobel.h5')

image = cv2.imread('lena.jpg',cv2.IMREAD_GRAYSCALE)
rows,cols = image.shape
input_image = np.array(image).reshape((rows,cols,1))
input_images = np.array([input_image])

output_images = model.predict(input_images)

output_image = output_images[0].reshape((rows,cols))
output_image = abs(output_image);
output_image = cv2.normalize(output_image,None,0,255,cv2.NORM_MINMAX)
output_image = np.uint8(output_image)
cv2.imshow('lena',output_image)
cv2.waitKey(0)
cv2.destroyWindow('lena')

#quit()
