#C:> activate keras
#(keras) C:> set TF_CPP_MIN_LOG_LEVEL=2
#(keras) C:> python
# >>>

import numpy as np
import cv2
from keras.layers import Input
from keras.layers.convolutional import Conv2D
from keras.models import Model
from keras.models import load_model

model_name = 'keras_cifar10_trained_model.h5'
model = load_model(model_name)

image1 = cv2.imread('car.png',cv2.IMREAD_COLOR)
image2 = cv2.imread('cat.png',cv2.IMREAD_COLOR)
image3 = cv2.imread('cat2.png',cv2.IMREAD_COLOR)
input_images = np.array([image1,image2,image3])

input_images = input_images.astype('float32')
input_images /= 255

categories = model.predict(input_images)

categories
np.argmax(categories,1)

#quit()
